/* General styling */
html{
    scroll-behavior: smooth;
}

body{
    font-family: 'Roboto', sans-serif;
}

h1{
    font-size: 2em;
    margin-top: 20px;
    margin-bottom: 20px;
}

h2{
    font-size: 1.5em;
    margin-top: 5px;
    margin-bottom: 5px;
}

/* Navbar styling */
.navbar {
	position:fixed;
    width: 100%;
	padding: 1em 9%;
	z-index:1;
	display:flex;
	justify-content: space-between;
	align-items: center;
    background-color: rgba(33, 51, 53, 0);
    text-shadow: 2px 2px 3px black;
    -webkit-transition: background-color 0.5s;
    -moz-transition: background-color 0.5s;
    -o-transition: background-color 0.5s;
    transition: background-color 0.5s;
}

/* Style navbar links */
.navbar a {
    float: left;
    display: block;
    color: white;
    text-align: center;
    padding: 15px;
    text-decoration: none;
}

.navbar #dropMenu a:hover, .navbar #myLinks a:hover, #navbar-theme a:hover, #hamb a i:hover{
    opacity: 0.8;
}

#hamb{
    background-color: "rgba(93, 115, 45, 0.85)";
    display:none;
    -webkit-transition: background-color 0.5s;
    -moz-transition: background-color 0.5s;
    -o-transition: background-color 0.5s;
    transition: background-color 0.5s;
}

#hamb #dropMenu{
	top:122px;
	width:40%;
	right:0.5em;
	display: none;
	position:absolute;
	flex-direction:column;
	color:black;
    background-color: "rgba(0, 0, 0, 0.3)";
	z-index: 21;
    -webkit-transition: background-color 0.5s;
    -moz-transition: background-color 0.5s;
    -o-transition: background-color 0.5s;
    transition: background-color 0.5s;
}

/* Landing style */
.landing{
    background: linear-gradient(0deg, rgba(0,0,0,1) 100%, rgba(255,255,255,0.5) 100%);
    padding: 0;
    position: relative;
    min-height: 500px;
    max-height: 800px;
    overflow: hidden;
}

#main-logo{
    width: 20%;
}

.onTop{
    display: flex;
    flex-direction:column;
    align-items: center;
    justify-content: center;
    width:100%;
    height: 100vh;
    background-image: url("../multimedia/portada-mdr-wide.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    position: relative;
}

.section-holder{
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 4px;
}

.section-image{
    margin: 20px;
    width: 30%;
    flex-grow: 1;
    flex-shrink: 0;
}

.section-image img{
    width: 100%;
}

.section-info{
    box-shadow: 0 0.2rem 1.2rem rgba(0,0,0,0.2);
    border-radius: 10px;
    padding: 50px;
    color: white;
    text-align: center;
}

.section-info p{
    text-align: justify;
}

.section1 .quote, .section2 .quote{
    font-style:italic;
    font-size: 1.5rem;
    text-align: left;
}

.section-info hr{
    border-top: 5px solid #a7871e;
    width: 30%;
}

.section-title{
    font-size: 2.5rem;
    align-self: flex-start;
    color:#3f6366;
}

/* Content sections general styling */
.section1{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: space-between;
    flex-wrap: wrap;
    width:100%;
    background-color:white;
    padding: 5em 4em;
}

.section2{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: space-between;
    flex-wrap: wrap;
    width:100%;
    background-color:#f9f9ff;
    padding: 5em 4em;
}

.section1 p, .section2 p{
    text-align: justify;
}

/* Information display styling */
.section2 #externalControls {
    display:flex;
    justify-content: space-around;
    text-align: center;
    margin: 30px 0;
}

hr{
    border-top: 2px solid #d5ad28;
    width: 100%;
}

#externalControls a {
    color: black;
    text-decoration: none;
    display: inline-block;
    padding: 5px 10px;
    position: relative;
    cursor: pointer;
    font-weight: bold;
}

#externalControls a:after {    
    background: none repeat scroll 0 0 transparent;
    bottom: 0;
    content: "";
    display: block;
    height: 2px;
    left: 50%;
    position: absolute;
    background: black;
    transition: width 0.3s ease 0s, left 0.3s ease 0s;
    width: 0;
}

#externalControls .selected{
    color: white;
    background-color: #294042;
    border-radius: 3px 3px 3px 3px;
    -webkit-transition: background-color 0.5s;
    -moz-transition: background-color 0.5s;
    -o-transition: background-color 0.5s;
    transition: background-color 0.5s;
}

#externalControls a:hover:after { 
    width: 100%; 
    left: 0; 
}

.display-info{
    display: flex;
    align-items:center;
    -webkit-transition: opacity 2s;
    -moz-transition: opacity 2s;
    -o-transition: opacity 2s;
    transition: opacity 2s;
}

.display-info .info-img{
    position: relative;
    width: 40%;
    height: 500px;
    overflow: hidden;
    background-image: linear-gradient(rgba(255, 255, 255, 0), rgba(0, 0, 0, 1), rgba(0, 0, 0, 1));
}

.display-info .info-img img{
    position: absolute;
    top: -9999px;
    bottom: -9999px;
    left: -9999px;
    right: -9999px;
    margin: auto;
    opacity: 0.85;
}

.display-info .info-text{
    margin-left: 20px;
    width: 65%;
    padding: 50px;
}

.display-info .info-text h2{
    margin-top: 20px;
    margin-bottom: 20px;
}

#info-objetivo{
    display:flex;
    opacity: 1;
}

#info-frutos{
    display:none;
    opacity: 0;
}

#info-artista{
    display:none;
    opacity: 0;
}

.project-info{
    width:100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.project-info-1{
    margin: 10px 5px;
    width:28%;
    min-width: 280px;
    min-height: 500px;
    height:100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    text-align: center;
}

.project-info-2{
    margin: 10px 5px;
    width:28%;
    min-width: 280px;
    min-height: 500px;
    height:100%;
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;
    text-align: center;
}

.project-info-img{
    width: 300px;
    height: 300px;
    display:flex;
    align-items: center;
}

.project-info-img img{
    width:100%;
    height:auto;
}

.project-info-text{
    padding: 5px;
    width: 300px;
    height: 300px;
    display:flex;
    align-items: center;
}

.project-info-text p{
    padding: 10px;
}

.team-info{
    width:100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}

.team-member{
    width: 30%;
    display:flex;
    flex-direction:row;
    text-align:center;
    align-items: center;
    justify-content: flex-start;
    margin: 5px;
    border-radius: 5px;
    box-shadow: 0 0.2rem 1.2rem rgba(0,0,0,0.2);
    min-width: 250px;
    max-width: 400px;
}

.team-member img{
    height:100%;
    width:auto;
    min-width: 100px;
}

.team-member .team-member-info{
    width: 55%;
    display: flex;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    padding: 10px;
}

.team-member .team-member-info h5{
    text-align: left;
    margin: 0;
    font-size: 1rem;
    padding-bottom: 20px;
}

.team-member .team-member-info p{
    text-align: left;
    margin: 0;
    font-size: 0.75rem;
}

.member-1{
    background-color:rgba(0,0,0,0);
    color: black;
}

.member-2{
    background-color:rgba(0,0,0,0);
    color: black;
}

/* Song chart display stying */

.button-link{
    cursor:pointer;
    text-decoration: none;
    border-radius: 2px 2px 2px 2px;
    background-color:rgba(33, 51, 53, 1);
    color: white;
    padding: 10px 20px;
    margin: 20px auto 0px;
    -webkit-transition: background-color 0.5s;
    -moz-transition: background-color 0.5s;
    -o-transition: background-color 0.5s;
    transition: background-color 0.5s;
}

.button-link:hover{
    text-decoration: none;
    border-radius: 2px 2px 2px 2px;
    background-color:rgb(48, 66, 68);
    color: white;
    padding: 10px 20px;
    margin: 20px auto 0px;
}

.proyecto-container{
    width:100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.proyecto-container p{
    width: 15%;
}

.proyecto-container .proyecto-img{
    max-width: 75%;
}

.proyecto-container .proyecto-img img{
    width:100%;
}

.material-info{
    display:flex;
    justify-content: center;
    width:100%;
}

.material-button{
    background-color: rgb(191, 169, 27);
    color:white;
    text-decoration: none;
    display: inline-block;
    border-radius: 30px;
    padding: 20px 70px;
    margin: 20px auto;
    position: relative;
    cursor: pointer;
    -webkit-transition: background-color 0.5s;
    -moz-transition: background-color 0.5s;
    -o-transition: background-color 0.5s;
    transition: background-color 0.5s;
}

.material-button:hover{
    text-decoration: none;
    border-radius: 30px;
    background-color:#8f741b;
    color: white;
    padding: 20px 70px;
    margin: 20px auto;
}

.agradecimientos-logos{
    display: flex;
    justify-content: space-around;
    align-items: center;
    width:100%;
    padding: 25px 0px;
}

.agradecimientos-logos img{
    width: auto;
    height:20%;
}


.donate-container{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items:center;
    margin-top: 40px;
}

.patreon-container{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    max-width: 400px;
}


.vl{
    width: 1.5px;
    height: 200px;
    background-color:rgba(33, 51, 53, 1);
    margin: 0 40px;
}

.donate-hr{
    display:none;
}

.patreon-link{
    cursor:pointer;
    text-decoration: none;
    border-radius: 2px 2px 2px 2px;
    background-color:#af8e21;
    color: white;
    padding: 10px 20px;
    margin: 20px auto;
    -webkit-transition: background-color 0.5s;
    -moz-transition: background-color 0.5s;
    -o-transition: background-color 0.5s;
    transition: background-color 0.5s;
}

.patreon-link:hover{
    text-decoration: none;
    border-radius: 2px 2px 2px 2px;
    background-color:#8f741b;
    color: white;
    padding: 10px 20px;
    margin: 20px auto;
}

.video-container{
    flex-direction: column;
    align-items: center;
    justify-content: center;
    max-width: 800px;
}
.video-responsive {
    height: 0;
    width: 100%;
    overflow: hidden;
    padding-bottom: 56.25%;
    padding-top: 30px;
    position: relative;
}
.video-responsive iframe, .video-responsive object, .video-responsive embed {
	height: 100%;
	left: 0;
	position: absolute;
	top: 0;
	width: 100%;
}

/* Contact section styling */

.section2 .contact{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items:center;
}

.section2 .contact div{
    margin-right: 20px;
    width: 100%;
}

.section2 .contact form{
    margin-left: 20px;
    width: 50%;
}

/* Footer styling */

#footer{
    background-color: rgba(33, 51, 53, 1);
    color: white;
    width: 100%;
    height: 70px;
    padding: 25px 10px;
    text-align: center;
    font-size: 0.75em;
}

/* Lyrics render styling */

#theme-render{
    display:flex;
    justify-content: space-around;
}

#content-render{
    display: flex; 
    flex-direction:column;  
    align-items: flex-start; 
    justify-content:flex-start; 
    padding: 0 20px;
    margin: 0 3em auto; 
}

#content-render h1{ /* Recordatorio de cambio de fuente */
    display:block;
}

#content-render h2{
    padding: 15px 0;
}

#content-render #material{
    width:100%;
}

.youtubeWrapper {
    align-self:center;
    width:100%;
    min-width:300px;
    position: relative;
    padding-bottom: 75%;
    height: 0;
    overflow: hidden;
}
.youtubeWrapper iframe {
    position: absolute;
    top:0;
    left: 0;
    width: 100%;
    min-width:323px;
    height: 100%;
}

#lyrics-render{
    display: flex; 
    flex-direction:column;  
    align-items: flex-start; 
    justify-content:flex-start; 
    padding: 0 20px; 
    margin-bottom:auto;
    min-width: 50%;
}

#lyrics-render-mobile{
    display: none;
}

#material h2{
    margin-top: 0;
    margin-bottom: 0;
}

#material .button-link{
    padding: 6px 10px;
    margin: 3px 6px 3px 0;
}

#material .material-links{
    width:100%; 
    display:flex; 
    flex-wrap:wrap; 
    justify-content:flex-start; 
    align-items:center;
}


/* Responsive */
@media screen and (max-width: 900px) {
    .section-holder{
        display: flex;
        flex-direction: column;
    }
    .section-image{
       min-width: 200px;
    }    
    #main-logo{
        width: 42%;
    }
    #myLinks{
        display:none;
    }
    #hamb{
        display:block;
    }
    #dropMenu{
        display:none;
    }
    .display-info{
        flex-direction: column;
    }
    .display-info .info-text{
        padding: 20px;
    }
    .display-info .info-img{
        width: 100%;
        height: 200px;
        overflow: hidden;
    }
    #info-autor .info-img{
        width: 100%;
        height: 200px;
        overflow: hidden;
    }
    .display-info .info-text{
        margin-left: 0px;
        width: 100%;
        display:inline;
    }
    #songchart .theme{
        width: 35%;
        font-size: 0.8em;
    }
    .section2 .contact{
        flex-direction: column;
        justify-content: center;
        align-items:center;
    }
    .section2 .contact div, .section2 .contact form{
        width: 100%;
        margin: 10px 0px;
    }
    #content-render{
        padding: 0;
        margin: 0;
        justify-content:flex-start; 
        align-items:flex-start;
    }
    #content-render h1{
        margin-top: 20px;
    }
    #lyrics-render{
        display:none;
    }
    #lyrics-render-mobile{
        display: flex; 
        flex-direction:column;
        padding: 0px; 
        margin-bottom:auto;
        width:75%;
    }
    #theme-render{
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .youtubeWrapper {
        align-self:center;
        min-width:0;
        max-width: 323px;
        padding-bottom: min(200px, 75%);
    }
    .youtubeWrapper iframe {
        min-width:0;
        max-height:200px;
    }
    .team-member{
        width: 50%;
    }
    .donate-container{
        flex-direction: column;
        justify-content: center;
        margin-top: 40px;
    }

    .proyecto-container{
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    
    .proyecto-container p{
        width: 100%;
    }
    
    .proyecto-container .proyecto-img{
        max-width: 100%;
    }
    
    .proyecto-container .proyecto-img img{
        width:100%;
    }    

    .patreon-container{
        max-width: 800px;
    }
    
    .video-container{
        flex-direction: column;
        align-items: center;
        justify-content: center;
        max-width: 800px;
    }
    .video-responsive {
        height: 0;
        width: 100%;
        overflow: hidden;
        padding-bottom: 56.25%;
        padding-top: 30px;
        position: relative;
    }
    .vl{
        display: none;
    }
    .donate-hr{
        display: block;
        border-top: 1px solid black;
        width: 70%;
        margin: 30px 0;
    }

}

@media screen and (max-width: 768px) {
    .project-info-2{
        flex-direction: column;
    }
}


@media screen and (max-width: 750px) {
    .team-member{
        width: 100%;
    }
    .display-info .info-text{
        padding: 8px;
    }

    .section-info{
        padding: 20px;
    }
}

@media screen and (max-width: 415px) {

    #songchart .theme{
        overflow: hidden;
        width: 40%;
        height: 70px;
        font-size: 0.7em;
    }
    #theme-render{
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
    }
    .onTop{
        background-image: url("../multimedia/portada-mdr-mobile.jpg");
    }
    #main-logo{
        width: 50%;
    }
    section.mobile-pad{
        padding-left: 8%;
        padding-right: 8%;
    }



}